using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace MeteorHunt
{
    class Explosion : GameObj
    {
        private int animTime;
        private int animRate;
        private int frame;

        public Explosion(ContentManager content, Vector2 position, float scale, SoundBank soundBank) 
            : base(content, soundBank)
        {
            this.scale = scale;
            this.position = position;

            this.animRate = 30;
            gfx = content.Load<Texture2D>("explosion");
        }

        public override void LastWishes()
        {
        }

        public override void Update(GameTime gameTime)
        {
            animTime += gameTime.ElapsedGameTime.Milliseconds;

            if (animTime > animRate)
            {
                frame++;
                animTime = 0;

                if (frame > 15)
                {
                    alive = false;
                }
            }
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            Rectangle tmp = new Rectangle((frame % 4) * 64, (frame / 4) * 64, 64, 64);

            spriteBatch.Draw(gfx, position, tmp, Color.White,
                angle, new Vector2(64 / 2, 64 / 2),
                scale, SpriteEffects.None, 0);
        }

    }
}
