using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace MeteorHunt
{
    class Meteor : GameObj
    {
        public Meteor(ContentManager content, SoundBank soundBank)
            : base(content, soundBank)
        {
            this.damage = 10;
            this.life = 5;
            this.radius = 26;
            this.angle = (float)(Game1.myRandom.NextDouble() * 2 * Math.PI);

            this.position = new Vector2( (float)Game1.myRandom.NextDouble() * 720, -100);
            this.speed = new Vector2(0, (float)Game1.myRandom.NextDouble() + 1.0f);

            gfx = content.Load<Texture2D>("meteor");
        }

        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);

            if (position.Y > 700)
            {
                alive = false;
            }

            angle += 0.05f;
        }

        public override void LastWishes()
        {
            Game1.score++;
            Game1.neutralObjList.Add(new Explosion(content, position, 1.5f, soundBank));
            soundBank.PlayCue("explosion");
        }
    }
}
