using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;

namespace MeteorHunt
{
    class Player : GameObj
    {
        private int fireTime;
        private int fireRate;
        private SpriteFont gameFont;

        public Player(ContentManager content, SoundBank soundBank)
            : base(content, soundBank)
        {

            this.life = 50;
            this.damage = 20;
            this.radius = 20;
            this.fireRate = 50;

            this.position = new Vector2(400, 500);

            gfx = content.Load<Texture2D>("ship");
            gameFont = content.Load<SpriteFont>("gameFont");
        }


        public override void Update(GameTime gameTime)
        {
            KeyboardState ks = Keyboard.GetState();

            if (ks.IsKeyDown(Keys.Left))
            {
                this.speed = new Vector2(-4.0f, 0);
            }
            else if (ks.IsKeyDown(Keys.Right))
            {
                this.speed = new Vector2(4.0f, 0);
            }
            else
            {
                this.speed = new Vector2();
            }

            this.fireTime += gameTime.ElapsedGameTime.Milliseconds;

            if (ks.IsKeyDown(Keys.Space) && fireTime > fireRate)
            {
                fireTime = 0;
                Game1.goodObjList.Add(new Shot(content, 
                    this.position + new Vector2(0, -30), soundBank));
                soundBank.PlayCue("laser");
            }


            base.Update(gameTime);

            if (position.X < 0)
                position.X = 0;
            if (position.X > 800)
                position.X = 800;
        }

        public override void LastWishes()
        {
            //
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            base.Draw(spriteBatch);

            spriteBatch.DrawString(gameFont, "Life: " + life, new Vector2(700, 10), Color.White);
        }
    }
}
