using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;
namespace MeteorHunt
{
    class Shot : GameObj
    {
        public Shot(ContentManager content, Vector2 position, SoundBank soundBank)
            : base(content, soundBank)
        {
            this.position = position;
            this.radius = 2;
            this.life = 1;
            this.damage = 1;

            //10 graders slump p riktningen av skotten
            double rndAngle = Game1.myRandom.Next(11);

            this.speed.X = 8.0f * (float)Math.Cos((Math.PI / 180.0 * (-95 + rndAngle)));
            this.speed.Y = 8.0f * (float)Math.Sin((Math.PI / 180.0 * (-95 + rndAngle)));

            gfx = content.Load<Texture2D>("shot");
        }

        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);

            if (position.Y < -100)
            {
                this.alive = false;
            }
        }

        public override void LastWishes()
        {
            Game1.neutralObjList.Add(new Explosion(content, position, 0.5f, soundBank));
            soundBank.PlayCue("explosion 2");
        }
    }
}
